Online Banking Browsers

Here is a complete list of browsers that are and are not compatible with our online banking program.

The following browsers are compatible
:
Windows

  • Internet Explorer (version 7.0 + and  9.0) 
  • Mozilla Firefox (2.0+)
  • Opera (version 9.0 +)
  • Safari (version 3.0 +)
  • Chrome (version 4.0+)

Mac


  • Safari (version 3.0+)
  • Internet Explorer (version 7.0+ and 9.0)
  • Mozilla Firefox (All) 
  • Opera (version 10.10+)
  • Chrome (version 4.0+)


Linux/Unix

  • Mozilla Firefox (all versions)
  • Konqueror (version 3.0+)
  • Opera (version 5.0+)


The following browsers are not compatible¦

  • AOL
  • WebTV
  • OmniWeb
  • iCab
  • Netscape Navigator
  • Lynx
  • Beta Browsers
NOTE: Internet Explorer version 6.0 is no longer supported by Microsoft and is no longer supported by Google as of March 1, 2010.
Return to the news archive